PCI bus error on startup while booting into login screen (Kubuntu 16.04)

Bug #1588428 reported by Abhishek Bhatia on 2016-06-02
54
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

With a HP Pavilion Notebook - 15-ab549tx, and Kubuntu 16.04, the problem is on startup error messages show up before the login screen as per attached screenshot:
https://launchpadlibrarian.net/263296837/screenshot.jpg

At times it is just stops at this screen and doesn't move to the login screen. Or while it shuts down it stops at this screen.

WORKAROUND: Adding kernel boot parameters:
pci=nomsi
pci=noaer

stop the messages from showing on startup, but it takes 2.5 minutes to boot.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-22-generic 4.4.0-22.40
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: abhishek 1332 F.... pulseaudio
CurrentDesktop: KDE
Date: Thu Jun 2 21:27:21 2016
HibernationDevice: RESUME=UUID=bf42c497-2871-4fcb-9c6f-ea792ccf35ab
InstallationDate: Installed on 2016-05-13 (19 days ago)
InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 0bda:b006 Realtek Semiconductor Corp.
 Bus 001 Device 004: ID 04ca:0060 Lite-On Technology Corp.
 Bus 001 Device 002: ID 04f2:b50d Chicony Electronics Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: HP HP Pavilion Notebook
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic.efi.signed root=UUID=85cd7db1-5379-4a11-84d8-0b7ed7989962 ro quiet splash pci=nomsi vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-22-generic N/A
 linux-backports-modules-4.4.0-22-generic N/A
 linux-firmware 1.157
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/07/2016
dmi.bios.vendor: Insyde
dmi.bios.version: F.78
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 80A4
dmi.board.vendor: HP
dmi.board.version: 91.1D
dmi.chassis.type: 10
dmi.chassis.vendor: HP
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.78:bd03/07/2016:svnHP:pnHPPavilionNotebook:pvrType1ProductConfigId:rvnHP:rn80A4:rvr91.1D:cvnHP:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion Notebook
dmi.product.version: Type1ProductConfigId
dmi.sys.vendor: HP

Abhishek Bhatia (abhigenie92) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-f.79
description: updated
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Abhishek Bhatia (abhigenie92) wrote :

I am not sure I understand. Should I press ESC, find BOOT upgrade option and proceed from there. The link you mentioned directs to linux's latest stable kernel.

Abhishek Bhatia (abhigenie92) wrote :

Version:
~ $ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for abhishek:
F.78
03/07/2016

This website directs to http://support.hp.com/us-en/drivers/selfservice/hp-pavilion-15-ab500-notebook-pc-series/9068229/model/9953132#Z7_3054ICK0K8UDA0AQC11TA930O2 to this https://www.kernel.org/ on selecting linux.

Abhishek Bhatia (abhigenie92) wrote :

1.
abhishek ~ $ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
F.79
04/14/2016

2.
Still unsure if it works shutdown and startup take very long. And it occasionally gets stuck at shutdown.

3. Not sure if BIOS upgrade worked.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Abhishek Bhatia (abhigenie92) wrote :

Hi, when removing the WORKAROUND which is editing the /etc/default/grub to remove pci=nomsi.(The solution suggested.) I get back the same output(https://launchpadlibrarian.net/263296837/screenshot.jpg) as before mentioned on the screen after the kubuntu logo on boot.

Please let me know if anymore debugging information is required.

Thanks.

Abhishek Bhatia (abhigenie92) wrote :
Download full text (5.2 KiB)

On checking the syslog(cat /var/log/syslog) I got following output below. Note that it keeps cumulating and filesize of syslog grows in ~GBs.

Jun 8 05:06:01 hp kernel: [ 1625.694970] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jun 8 05:06:01 hp kernel: [ 1625.694983] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.695634] pcieport 0000:00:1c.5: can't find device of ID00e5
Jun 8 05:06:01 hp kernel: [ 1625.695651] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.695677] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jun 8 05:06:01 hp kernel: [ 1625.695685] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jun 8 05:06:01 hp kernel: [ 1625.695692] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jun 8 05:06:01 hp kernel: [ 1625.695705] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.696363] pcieport 0000:00:1c.5: can't find device of ID00e5
Jun 8 05:06:01 hp kernel: [ 1625.697518] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.697538] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jun 8 05:06:01 hp kernel: [ 1625.697547] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jun 8 05:06:01 hp kernel: [ 1625.697555] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jun 8 05:06:01 hp kernel: [ 1625.795949] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.795971] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jun 8 05:06:01 hp kernel: [ 1625.795980] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jun 8 05:06:01 hp kernel: [ 1625.795987] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jun 8 05:06:01 hp kernel: [ 1625.795998] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.796647] pcieport 0000:00:1c.5: can't find device of ID00e5
Jun 8 05:06:01 hp kernel: [ 1625.796677] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.796690] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jun 8 05:06:01 hp kernel: [ 1625.796696] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jun 8 05:06:01 hp kernel: [ 1625.796702] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jun 8 05:06:01 hp kernel: [ 1625.796712] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.797365] pcieport 0000:00:1c.5: can't find device of ID00e5
Jun 8 05:06:01 hp kernel: [ 1625.797383] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jun 8 05:06:01 hp kernel: [ 1625.797395] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jun 8 05:06:01 hp kernel: [ 1625.797401] pcieport 0000:00:1c.5: ...

Read more...

Abhishek Bhatia (abhigenie92) wrote :

$ lspci | grep "00:1c.5" gives
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port (rev f1)
which seems to the PCI that is failing

Abhishek Bhatia, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-f.79
removed: bios-outdated-f.79
Changed in linux (Ubuntu):
importance: Low → Medium

I just want to mentioned that I am also affected by this bug and that I've tested with kernel 4.7 rc4 without success. The error remains and the kern.log and syslog grow with the same messages.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Abhishek Bhatia (abhigenie92) wrote :

@Christoper I marked it as confirmed because someone else also had the same problem.

Any suggestions for the problem, as the latest upstream kernel doesn't seem to work as @godlike mentioned in #13.

Abhishek Bhatia, to clarify, you personally tested 4.7-rc4 and the issue is reproducible?

Abhishek Bhatia (abhigenie92) wrote :

@penalvch Hi, I couldn't test it, as this is my main system. Will do soon though if I am able to create a backup. Isn't @godlike's comment sufficient that the latest kernel doesn't fix?

apport information

tags: added: apport-collected
description: updated

apport information

Abhishek Bhatia (abhigenie92) wrote :

I am installed the latest kernel.
abhishek ~ $ uname -a
Linux hp 4.7.0-040700rc6-generic #201607040332 SMP Mon Jul 4 07:34:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

I removed the previous workarounds. (That is, the parameter pci=nomsi from /etc/default/grub.)

RESULT:
The bug still exists.
This video(https://vimeo.com/173432888) provides the screen capture at the time boot.

abhishek log $ tail /var/log/syslog
Jul 5 11:23:37 hp kernel: [ 1221.858073] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jul 5 11:23:37 hp kernel: [ 1221.858078] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jul 5 11:23:42 hp kernel: [ 1226.862318] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jul 5 11:23:42 hp kernel: [ 1226.862341] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jul 5 11:23:42 hp kernel: [ 1226.862352] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jul 5 11:23:42 hp kernel: [ 1226.862360] pcieport 0000:00:1c.5: [ 0] Receiver Error
Jul 5 11:23:47 hp kernel: [ 1231.854458] pcieport 0000:00:1c.5: AER: Corrected error received: id=00e5
Jul 5 11:23:47 hp kernel: [ 1231.854482] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
Jul 5 11:23:47 hp kernel: [ 1231.854493] pcieport 0000:00:1c.5: device [8086:9d15] error status/mask=00000001/00002000
Jul 5 11:23:47 hp kernel: [ 1231.854500] pcieport 0000:00:1c.5: [ 0] Receiver Error (First)

Additionally, I have added apport-collect 1588428 also.(https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1588428/comments/17, https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1588428/comments/18)

Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Abhishek Bhatia, to advise, you don't need to apport-collect further unless specifically requested to do so.

Despite this, did this issue not occur in a Ubuntu release prior to 16.04?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
description: updated
Abhishek Bhatia (abhigenie92) wrote :

Sorry, I cannot provide any information on that. I have only used 16.04 on this machine. I bought recently it only.
Thanks.

Abhishek Bhatia (abhigenie92) wrote :

I meant I bought the machine recently only.

Abhishek Bhatia, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate mailing list (TO Bjorn Helgaas CC linux-pci)?

Please provide a direct URL to your post to the mailing list when it becomes available so that it may be tracked.

Thank you for your understanding.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.7-rc6
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Abhishek Bhatia (abhigenie92) wrote :

Hi, Sorry I am a bit confused. Can you explicitly mention the email-ids or website where I should report it?

Bjorn Helgaas (bjorn-helgaas) wrote :

This looks related to https://bugzilla.kernel.org/show_bug.cgi?id=111601

Is "pci=noaer" (without using "pci=nomsi") sufficient to allow the system to boot?

If you boot with "pci=noaer", does it still take a long time to boot? If so, can you collect a dmesg log with timestamps so we can see where the time is?

Abu Morshed Julash (am-julash) wrote :

Hello,

I am also affected by this problem and can not use ubuntu properly on my new Asus N552VX (i5-6300HQ, Nvidia GTX 950m) laptop. I tried ubuntu 16.04, 16.10(lastest), linux mint and elementary os.

I was able to install few time but there was stuck issue during login or shutdown. Tried changing grub parameter but no luck. After able to install elementary os, I installed ubuntu desktop on it and successfully install nvidia driver from additional drivers.

But pci bus error is always there when booting and sometime get stuck. Hoping for a real fix of this bug soon.

Regards

Travis Runyard (visualblind) wrote :

This isn't a bug. If everyone here has a common PCIe bus (Asus K501UW laptop), then it's an internal hardware issue with the Intel PCIe bus. I get the same hardware error messages in Windows as well. Multiple laptops of the same model had this issue. Reported the issue to Amazon where I received the laptop and was refunded $50 for my troubleshooting efforts.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.